/**
 * File: /src/components/Label/index.tsx
 * Project: @native-theme-ui/core
 * File Created: 13-06-2022 00:51:44
 * Author: Clay Risser
 * -----
 * Last Modified: 27-12-2022 12:40:50
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/// <reference types="react-native-reanimated" />
import React, { FC, ComponentProps } from 'react';
declare const StyledText: React.ForwardRefExoticComponent<Omit<{
    autoContrast?: import("@native-theme-ui/auto-contrast").AutoContrast | undefined;
    transition?: import("moti").MotiTransitionProp<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>> | undefined;
    testID?: string | undefined;
    animate?: (Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, "borderRadius" | "color" | "fontWeight" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "borderTopWidth" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY" | "resizeMode" | "overlayColor" | "tintColor", "borderRadius" | "color" | "fontWeight" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "borderTopWidth" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY" | "resizeMode" | "overlayColor" | "tintColor"> & import("moti").StyleValueWithSequenceArraysWithTransform> | import("react-native-reanimated").SharedValue<Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, "borderRadius" | "color" | "fontWeight" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "borderTopWidth" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY" | "resizeMode" | "overlayColor" | "tintColor", "borderRadius" | "color" | "fontWeight" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "borderTopWidth" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY" | "resizeMode" | "overlayColor" | "tintColor"> & import("moti").StyleValueWithSequenceArraysWithTransform>>) | (() => Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, "borderRadius" | "color" | "fontWeight" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "borderTopWidth" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY" | "resizeMode" | "overlayColor" | "tintColor", "borderRadius" | "color" | "fontWeight" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "borderTopWidth" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY" | "resizeMode" | "overlayColor" | "tintColor"> & import("moti").StyleValueWithSequenceArraysWithTransform>) | undefined;
    animateInitialState?: boolean | undefined;
    animateSx?: import("@native-theme-ui/dripsy").LSxProp | undefined;
    delay?: number | undefined;
    exit?: boolean | import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle> | ((custom?: any) => import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>) | undefined;
    exitSx?: import("@native-theme-ui/dripsy").LSxProp | undefined;
    exitTransition?: import("moti").MotiTransitionProp<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>> | ((custom?: any) => import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>>) | undefined;
    from?: boolean | Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, "borderRadius" | "color" | "fontWeight" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "borderTopWidth" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY" | "resizeMode" | "overlayColor" | "tintColor", "borderRadius" | "color" | "fontWeight" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "borderTopWidth" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY" | "resizeMode" | "overlayColor" | "tintColor"> & import("moti").StyleValueWithSequenceArraysWithTransform> | undefined;
    fromSx?: import("@native-theme-ui/dripsy").LSxProp | undefined;
    onDidAnimate?: import("moti").OnDidAnimate<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, "borderRadius" | "color" | "fontWeight" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "borderTopWidth" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY" | "resizeMode" | "overlayColor" | "tintColor"> | undefined;
    state?: Pick<import("moti").UseAnimationState<any>, "__state"> | undefined;
    stylePriority?: "animate" | "state" | undefined;
    onLongPress?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onPress?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onPressIn?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onPressOut?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    style?: import("react-native").StyleProp<import("react-native").TextStyle>;
    onLayout?: ((event: import("react-native").LayoutChangeEvent) => void) | undefined;
    accessibilityActions?: readonly Readonly<{
        name: string;
        label?: string | undefined;
    }>[] | undefined;
    accessibilityElementsHidden?: boolean | undefined;
    accessibilityHint?: string | undefined;
    accessibilityIgnoresInvertColors?: boolean | undefined;
    accessibilityLabel?: string | undefined;
    accessibilityLiveRegion?: "none" | "polite" | "assertive" | undefined;
    accessibilityRole?: import("react-native").AccessibilityRole | undefined;
    accessibilityState?: import("react-native").AccessibilityState | undefined;
    accessibilityValue?: import("react-native").AccessibilityValue | undefined;
    accessibilityViewIsModal?: boolean | undefined;
    accessible?: boolean | undefined;
    onAccessibilityTap?: (() => void) | undefined;
    onAccessibilityAction?: ((event: import("react-native").AccessibilityActionEvent) => void) | undefined;
    onAccessibilityEscape?: (() => void) | undefined;
    importantForAccessibility?: "auto" | "yes" | "no" | "no-hide-descendants" | undefined;
    children?: React.ReactNode;
    nativeID?: string | undefined;
    accessibilityLabelledBy?: string | string[] | undefined;
    accessibilityLanguage?: string | undefined;
    onMagicTap?: (() => void) | undefined;
    disabled?: boolean | undefined;
    sx?: import("@native-theme-ui/dripsy").LSxProp | undefined;
    allowFontScaling?: boolean | undefined;
    ellipsizeMode?: "clip" | "head" | "middle" | "tail" | undefined;
    lineBreakMode?: "clip" | "head" | "middle" | "tail" | undefined;
    numberOfLines?: number | undefined;
    onTextLayout?: ((event: import("react-native").NativeSyntheticEvent<import("react-native").TextLayoutEventData>) => void) | undefined;
    maxFontSizeMultiplier?: number | null | undefined;
    adjustsFontSizeToFit?: boolean | undefined;
    minimumFontScale?: number | undefined;
    suppressHighlighting?: boolean | undefined;
    selectable?: boolean | undefined;
    selectionColor?: import("react-native").ColorValue | undefined;
    textBreakStrategy?: "simple" | "highQuality" | "balanced" | undefined;
    dataDetectorType?: "all" | "none" | "link" | "phoneNumber" | "email" | null | undefined;
    android_hyphenationFrequency?: "none" | "normal" | "full" | undefined;
    as?: React.ComponentType<any> | undefined;
    themeKey?: string | undefined;
}, keyof import("@native-theme-ui/dripsy").LStyledProps> & import("@native-theme-ui/dripsy").LStyledProps & {
    children?: React.ReactNode;
} & React.RefAttributes<never>>;
export type LabelProps = ComponentProps<typeof StyledText>;
export declare const Label: FC<LabelProps>;
export {};
